Documentation Index
Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Returns all wallets holding positions in any outcome token belonging to this condition.
Request
GET /v3/markets/condition/{condition_id}/positions
Path parameters
| Parameter | Type | Description |
|---|
condition_id | string | Market condition ID (0x-prefixed) |
Query parameters
| Parameter | Type | Default | Description |
|---|
sort | string | pnl | Sort by: pnl, amount, volume |
limit | integer | 100 | Max 1000 |
offset | integer | 0 | Pagination offset |
Example
curl https://api.polynode.dev/v3/markets/condition/0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917/positions?limit=1
Response columns
| Column | Type | Description |
|---|
user | string | Wallet address |
amount | string | Current shares held (6-decimal) |
avg_price | string | Average entry price (6-decimal) |
realized_pnl | string | Realized P&L (6-decimal USDC) |
total_bought | string | Total volume bought (6-decimal USDC) |